<?
function error($numero,$texto){ 
$ddf = fopen('error.log','a'); 
fwrite($ddf,"[".date("r")."] Error $numero:$texto\r\n"); 
fclose($ddf); 
}

$result_receptor=mssql_query("SELECT receptores.* FROM receptores,cotizaciones WHERE cotizaciones.cve_cotizacion ='".$row_factura["cve_cotizacion"]."' AND receptores.csc=cotizaciones.cve_cliente",$conexion)or die("dibujar_factura.php linea 2");
$row_receptor=mssql_fetch_assoc($result_receptor);
mssql_free_result($result_receptor);

$result_cotizacion=mssql_query("SELECT * FROM cotizaciones WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_cotizacion=mssql_fetch_assoc($result_cotizacion);
mssql_free_result($result_cotizacion);

//$tipoCambio = ($row_factura['version']=="2.0")?$row_cotizacion["imp_tc"]:1; //esquema 2012
$tipoCambio = $row_cotizacion["imp_tc"];
$result_registros=mssql_query("SELECT * FROM cot_registros WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_registros=mssql_fetch_assoc($result_registros);
mssql_free_result($result_registros);

$result_complemento=mssql_query("SELECT * FROM conector_complemento WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_complemento=mssql_fetch_assoc($result_complemento);
mssql_free_result($result_complemento);

$query_detalle="SELECT * FROM detalle_cotizacion WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."' ORDER BY pedido,posicion";
$result_detalle=mssql_query($query_detalle,$conexion);
unset($data);$descto=0;$suma=0;$subtotal1=0;$i=0;$haydetalle=true;$haypedimentos=false;unset($datapedimentos);
while ($row_detalle=mssql_fetch_assoc($result_detalle))
{
  $data[]=array(
	($row_detalle["pedido"]),//
	intval($row_detalle["posicion"]),//
	$row_detalle["letras"],//number_format($row_detalle["cantidad"],0),//
	$row_detalle["pedidodelcliente"],//
	$row_detalle["des_comentarios_partida"],//4
	$row_detalle["grupodearticulo"],//
	$row_detalle["des_unidadmedida"],//
	$row_detalle["espesorcalibreperalte"],//
	$row_detalle["anchodiametropatin"],//
	$row_detalle["largo"],//
	number_format($row_detalle["cantidadvalorizada"],3),//
	number_format($row_detalle["toneladas"],3),//
	"$".number_format($row_detalle["valoracionprecio"],2),// 
	"$".number_format($row_detalle["preciounitario"],2),// "$".number_format($row_detalle["preciounitario"]/$row_cotizacion["imp_tc"],2),//     //  esquema 2012
	"$".number_format($row_detalle["valormaterial"],2),//"$".number_format($row_detalle["valormaterial"]/$row_cotizacion["imp_tc"],2),////  esquema 20152
	$row_detalle["ia_documentoaduana"],//
	$row_detalle["ia_fecha_expedicion"],//
	$row_detalle["ia_aduana"],//
	trim($row_detalle['gradonorma']),//
	$row_detalle['peso'],//
	trim($row_detalle['num_referencia'])//
);
  $d1 = trim($row_detalle["ia_documentoaduana"]);
  $d2 = trim($row_detalle["ia_fecha_expedicion"]);
  $d3 = trim($row_detalle["ia_aduana"]);
  if(!empty($d1) && !empty($d2) && !empty($d3))
  {
    $haypedimentos = true;
    $datapedimentos[] = array($row_detalle["pedido"],$row_detalle["posicion"],$d1,$d2,$d3);
  }
}
mssql_free_result($result_detalle);

/*$result_valor_iva = mssql_query("SELECT * FROM parametros WHERE cve_parm=1",$conexion);
$row_valor_iva = mssql_fetch_assoc($result_valor_iva);
$valor_iva = number_format($row_valor_iva['valor'],2);
mssql_free_result($result_valor_iva);
*/

//****************************** datos del emisor y de la factura *********************
$_1 = $row_factura["receptornombre"];// Nombre del emisor del CFD
$_2 = $row_factura['serie'];// serie
$_3 = ($row_factura['tipodecomprobante']=="ingreso")?"FACTURA":"NOTA DE CRÉDITO";
$_4 = intval($row_cotizacion['cve_cliente']); // Número de cliente
$_5 = $row_factura['fecha'];//fecha
$_6 = $row_receptor['taxid'];//
$_6B = strtoupper(trim($row_factura['receptorrfc']));// RFC del cliente
$_7 = $row_factura['receptorcalle']." ".$row_factura['receptornoexterior']." ".$row_factura['receptornointerior']; //Calle numero
$_8 = $row_factura['xml'];// ARCHIVO XML
$_9 = $row_factura['folio'];//folio de la factura
$_10 = $row_factura['receptorcolonia'];//colonia
$_11 = $row_factura['receptorestado']; // estado
$_12 = $row_factura['receptormunicipio']; // Ciudad de expedición
$_13 = $row_factura['receptorlocalidad']; //  localidad del cliente
$_14 = $row_factura['receptorcodigopostal'];// CP
$_15 = trim($row_factura['cve_cotizacion']); // Clave factura
$_19 = $row_factura['receptorpais'];// Pais del receptor
$_26 = $row_cotizacion['letras']; // Importe con letra
$_31 = $row_factura['sellodigital'];// Sello digital
$_32 = $row_factura['cadenaoriginal'];// Cadena Original
$_33 = $row_factura['noaprobacion'];// Número de aprobación
$_34 = $row_factura['anoaprobacion'];// Año de aprobación
$_35 = $row_factura['formadepago'];// forma de pago
$_36 = $row_factura['version']; //version
$_37 = $row_factura['nocertificado'];// Certificado
$_40 = "$".number_format($row_cotizacion['imp_subtotal'],2);//subtotal$_40 = "$".number_format($row_cotizacion['imp_subtotal']/$row_cotizacion["imp_tc"],2);//subtotal
$_41 = "$".number_format($row_cotizacion['imp_iva'],2);//iva$_41 = "$".number_format($row_cotizacion['imp_iva']/$row_cotizacion['imp_tc'],2);//iva//  esquema 2012
$_42 = "$".number_format($row_cotizacion['imp_total'],2);//total$_42 = "$".number_format($row_cotizacion['imp_total']/$row_cotizacion['imp_tc'],2);//total//  esquema 2012
$_42B = ($tipoCambio>1)?'$'.number_format($tipoCambio,2):"";//$_42B = ($row_cotizacion['imp_tc']>1)?'$'.number_format($row_cotizacion['imp_total'],2):"";//  esquema 2012
$_43 = $row_registros['fecha'];//fecha y hora
$_44 = $row_registros['version'];//version
$_45 = $row_registros['serie'];//serie
$_46 = $row_registros['folio'];//folio
//$_47 = $row_registros['nocertificado'];//certificado de sello digital
$_48 = $row_registros['anoaprobacion'];//año de aprobación
$_49 = $row_registros['noaprobacion'];//número de arobación
$_50 = $row_registros['cadenaoriginal'];//cadena original
$_51 = $row_registros['sellodigital'];//sello digital
$_52 = $row_registros['xml'];//xml  (CFD)
$_53 = intval($row_complemento['numerodeconsignatario']); // CLAVE CONSIGNATARIO
$_54 = $row_complemento['numentrega']; // NUM ENTREGA
$_55 = $row_complemento['nombreconsignatario']; // CONSIGNATARIO
$_56 = $row_complemento['nombrecltefinal']; //CLIENTE FINAL
$_57 = $row_complemento['numtransporte']; // NUM. TRANSPORTE
$_58 = $row_complemento['numero']; // NUMERO
$_59 = $row_factura['fecha']; // FECHA DE EMISION
$_60 = $row_complemento['numunidad']; // NUM. UNIDAD
$_61 = $row_complemento['lineatransportista']; // LINEA TRANSPORTISTA
$_62 = $row_complemento['fechafactura']; // FECHA
$_63 = $row_complemento['via']; // VIA
$_64 = $row_complemento['condicionflete']; // CONDICION DE FLETE
//*** RDTC : 14/08/2009 Inicia Modificación SolMan 7081
//$_65 = $row_complemento['fechaentrega']; // FECHA ENTREGA
//*** RDTC : 14/08/2009 Fin de Modificación SolMan 7081
$_66 = number_format($row_cotizacion['imp_tc'],5); // TIPO DE CAMBIO
$_67 = $row_complemento['aduana']; // ADUANA
$_68 = number_format($row_complemento['pesoreal'],3); // PESO REAL
$_69 = $row_complemento['destino']; // DESTINO
$_70 = $row_complemento['condiciondeventa']; // CONDICIÓN DE VENTA
$_71 = $row_complemento['centro']; // CENTRO
$_72 = $row_complemento['almacen']; // ALMACEN
$_73 = $row_complemento['tipovalorizacion']; // TIPO DE VALORIZACIÓN (VALORIZADO EN....)
$_74 = $row_complemento['tipomoneda']; // VALOR EN MONEDA (PRECIO UNITARIO EN......)
$_75 = $row_complemento['numeroclientefinal']; // NUMERO DE CLIENTE FINAL
$_76 = $row_complemento['direccion1consig']; // DIRECCION 1 DEL CONSIGNATARIO
$_77 = $row_complemento['direccion1cltefinal']; // DIRECCIÍN 1 DEL CLIENTE FINAL
$_78 = $row_complemento['direccion2consig']; // DIRECCION 2 DEL CONSIGNATARIO
$_79 = $row_complemento['ciudadedopaisfinal']; // DIRECCION 2 DEL CLIENTE FINAL
$_80 = $row_complemento['coloniacltefinal']; // COLONIA DEL CLIENTE FINAL
$_81 = $row_complemento['ciudadedopaisconsig']; // CIUDAD, ESTADO Y PAIS DEL CONSIGNATARIO
$_82 = $row_complemento['rfcclientefinal']; // RFC DEL CLIENTE FINAL
$_83 = $row_complemento['condiciondepago']; // CONDICION DE PAGO
$_84 = $row_complemento['cliente_proveedor']; //CLIENTE PROVEEDOR
$_85 = $row_complemento['metroscububicos']; // METROS CUBICOS
$_86 = number_format($row_complemento['totalcantidadvalorizada'],3); // TOTAL CANTIDAD VALORIZADA
$_87 = number_format($row_complemento['totaldetoneladas'],3); // TOTAL TONELADAS
$_88 = str_replace("|","\n",$row_complemento['leyendas']);
$_89 = $row_complemento['direccion2cltefinal']; // DIRECCIÍN 1 DEL CLIENTE FINAL
$_90 = $row_complemento['ruta'];// RUTA
$_90a = trim($row_complemento['rfcclientefinal']);
$_91 = (!empty($_90a))?"Tax ID: ".$row_complemento['rfcclientefinal']:"";
$_92 = $row_cotizacion['metododepago']; // Método de Pago;
$_93 = $row_cotizacion['numctapago']; // Cuenta de Pago;
$_94 = "Régimen General de Ley Personas Morales";
$_95 = trim($row_factura['uuid']);
$_96 = "?re=".$row_factura['emisorrfc']."&rr=".$row_factura['receptorrfc']."&tt=".number_format($row_cotizacion['imp_total'],6,".","")."&id=$_95";
$_97 = $row_factura['fechatimbrado'];
$_98 = $row_factura['nocertificadosat'];
$_99 = $row_factura['sellosat'];
$ambiente=$ambiente;
unset($matriz1);

if(!empty($row_complemento['leyenda116'])) $matriz1[] = $row_complemento['leyenda116'];
if(!empty($row_complemento['leyenda107'])) $matriz1[] = $row_complemento['leyenda107'];
if(!empty($row_complemento['leyenda108'])) $matriz1[] = $row_complemento['leyenda108'];
if(!empty($row_complemento['leyenda78'])) $matriz1[] = $row_complemento['leyenda78'];


if (isset($row_cotizacion['cve_cliente']))
{
	$matriz1[] = "EL CALCULO PARA DETERMINAR EL IMPORTE AL VALOR";
	$matriz1[] = "AGREGADO FUE EN BASE A LA PROPORCIÓN ".$row_complemento['proporcion_s_iva']."TASA 0% Y ".$row_complemento['proporcion_c_iva']."TASA 15%";
}
$matriz1[] = "IMPUESTO RETENIDO DE CONFOMIDAD CON LA LEY DEL IMPUESTO AL VALOR";
$matriz1[] = "AGREGADO.";


unset($matriz2);
unset($matriz3);

if($row_complemento['metroscubicos']>0)$matriz2[] = 'METROS CÚBICOS|'.number_format($row_complemento['metroscubicos'],3);

if($_6B == "XEXX010101000")
{
   //$matriz2[] = 'METROS CÚBICOS|'.number_format($row_complemento['metroscubicos'],3);
   $matriz2[] ='% HUMEDAD|'.number_format($row_complemento['valorhumedad'],3);
   $matriz2[] ='GRAVEDAD|'.number_format($row_complemento['valorgravedad'],3);
   $matriz2[] ='FLETE TERRESTRE|'.number_format($row_complemento['valorfleteterrestre'],3);
   $matriz2[] ='SEGURO TERRESTRE|'.number_format($row_complemento['valorseguroterrestre'],3);
   $matriz2[] ='FLETE MARITIMO|'.number_format($row_complemento['valorfletemaritimo'],3);
   $matriz2[] ='SEGURO MARITIMO|'.number_format($row_complemento['valorseguromaritimo'],3);
   $matriz2[] ='GROSS WEIGHT|'.number_format($row_complemento['valorgrossweight'],3);
   $matriz2[] ='TARE WEIGHT|'.number_format($row_complemento['valortareweight'],3);
   $matriz2[] ='NET WEIGHT|'.number_format($row_complemento['valornetweight'],3);
}else{
$matriz3[] = 'VALOR MATERIAL '.$row_complemento['valormaterial_s_iva'].'%|'.number_format($row_complemento['datovalormaterial_s_iva'],2);
$matriz3[] = 'VALOR MATERIAL '.$row_complemento['valormaterial_c_iva'].'%|'.number_format($row_complemento['datovalormaterial_c_iva'],2);
$matriz3[] = 'VALOR MATERIAL TOTAL|'.number_format($row_complemento['datovalormaterial_s_iva']+$row_complemento['datovalormaterial_c_iva'],2);
$matriz3[] = $row_complemento['porcseguro'].'% SEGURO|'.number_format($row_complemento['valorseguro'],2);
$matriz3[] = 'FLETE|'.number_format($row_complemento['valorflete'],2);
$matriz3[] = 'SUBTOTAL 1|'.number_format($row_complemento['valor_subtotal1'],2);    //  esquema 2012
$matriz3[] = 'IVA REPERCUTIDO '.number_format($row_cotizacion['pct_iva'],0).'%|'.number_format($row_cotizacion['imp_iva'],2);//  esquema 2012
$matriz3[] = 'SUBTOTAL 2|'.number_format($row_complemento['valor_subtotal2'],2);//  esquema 20152
$matriz3[] = 'IVA RETENIDO '.(($row_cotizacion['pct_retencion']>0?number_format($row_cotizacion['pct_retencion'],0)."%":"")).'|'.number_format($row_cotizacion['imp_retencion'],2);//  esquema 2012
//$matriz3[] = 'INTERÉS FINANCIERO|'.number_format($row_complemento['valorintfinan'],2);
//$matriz3[] = 'IVA S/INT. FINANCIERO|'.number_format($row_complemento['valorint_s_finan'],2);
}

//*** RDTC Modificación por requerimiento de ususario SolMan : 4188 

if($_74 == "USD")
{
   $_42B = "";
//   $_66  = "";
}

//***   set_error_handler('error'); 
//*** RDTC Fin de modificación  SolMan : 4188.

include 'qrcode.class.php';
$qrcode = new QRcode($_96);
$qrcode->disableBorder();

$w = array(12,10,10,30,52,10,15.4,15,15,15,17,13,15,15,15);
require_once 'clase.php';
$pdf=new PDF('L','mm','Letter');
$pdf->setAutoPageBreak(true, 40);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','',6);
$pdf->SetFillColor(201, 201, 201);

$y1=$pdf->GetY();
// for($indice= 0;$indice<10;$indice++)
foreach($data as $detalle)
{
  $pdf->Cell($w[0],3,$detalle[0],'LR',0,'C');
  $pdf->Cell($w[1],3,$detalle[1],'LR',0,'C');
  $pdf->Cell($w[2],3,$detalle[2],'LR',0,'C');
  $pdf->Cell($w[3],3,$detalle[3],'LR',0,'L');
  $pdf->Cell($w[4],3,"",'LR',0,'L');
  $pdf->Cell($w[5],3,$detalle[5],'LR',0,'C');
  $pdf->Cell($w[6],3,$detalle[19],'LR',0,'R');
  $pdf->Cell($w[7],3,$detalle[7],'LR',0,'R');
  $pdf->Cell($w[8],3,$detalle[8],'LR',0,'R');
  $pdf->Cell($w[9],3,$detalle[9],'LR',0,'R');
  $pdf->Cell($w[10],3,$detalle[10],'LR',0,'R');
  $pdf->Cell($w[11],3,$detalle[11],'LR',0,'R');
  $pdf->Cell($w[12],3,$detalle[12],'LR',0,'R');
  $pdf->Cell($w[13],3,$detalle[13],'LR',0,'R');
  $pdf->Cell($w[14],3,$detalle[14],'LR',0,'R');
  	
  
  $pdf->SetX(10+$w[0]+$w[1]+$w[2]+$w[3]);	
  $pdf->MultiCell($w[4],3,trim("$detalle[4]"),'LR','L');

  
  if(!empty($detalle[18]) || !empty($detalle[20]))
  {
    $pdf->Cell($w[0],3,"",'LR',0,'C');
    $pdf->Cell($w[1],3,"",'LR',0,'C');
    $pdf->Cell($w[2],3,"",'LR',0,'C');
    $pdf->Cell($w[3],3,$detalle[20],'LR',0,'L');
    $pdf->Cell($w[4],3,$detalle[18],'LR',0,'L');
    $pdf->Cell($w[5],3,"",'LR',0,'C');
    $pdf->Cell($w[6],3,"",'LR',0,'R');
    $pdf->Cell($w[7],3,"",'LR',0,'R');
    $pdf->Cell($w[8],3,"",'LR',0,'R');
    $pdf->Cell($w[9],3,"",'LR',0,'R');
    $pdf->Cell($w[10],3,"",'LR',0,'R');
    $pdf->Cell($w[11],3,"",'LR',0,'R');
    $pdf->Cell($w[12],3,"",'LR',0,'R');
    $pdf->Cell($w[13],3,"",'LR',0,'R');
    $pdf->Cell($w[14],3,"",'LR',1,'R');  
  }
}
$haydetalle=false;
$pdf->Cell(0,1,"",'T',1);

if($haypedimentos)
{
  $pdf->SetX(30);
  $pdf->SetFont('','B');
    $pdf->Cell($w[0],3,"PEDIDO",0,0,'C');
    $pdf->Cell($w[1],3,"PARTIDA",0,0,'C');
    $pdf->Cell($w[3],3,"PEDIMENTO",0,0,'C');
    $pdf->Cell($w[3],3,"FECHA",0,0,'C');
    $pdf->Cell($w[4],3,"AGENCIA ADUANAL",0,1,'C');
	$pdf->SetFont('');
  foreach($datapedimentos as $detalle)
  {
    $pdf->SetX(30);
    $pdf->Cell($w[0],3,$detalle[0],0,0,'C');
    $pdf->Cell($w[1],3,$detalle[1],0,0,'C');
    $pdf->Cell($w[3],3,$detalle[2],0,0,'C');
    $pdf->Cell($w[3],3,$detalle[3],0,0,'C');
    $pdf->Cell($w[4],3,$detalle[4],0,1,'C');
  }
}

$yfinal=$pdf->GetY()-1;

$pdf->Line(10,$y1,10,$yfinal);
$pdf->Line(10+$w[0],$y1,10+$w[0],$yfinal);
$pdf->Line(10+$w[0]+$w[1],$y1,10+$w[0]+$w[1],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2],$y1,10+$w[0]+$w[1]+$w[2],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3],$y1,10+$w[0]+$w[1]+$w[2]+$w[3],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12]+$w[13],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12]+$w[13],$yfinal);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12]+$w[13]+$w[14],$y1,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]+$w[8]+$w[9]+$w[10]+$w[11]+$w[12]+$w[13]+$w[14],$yfinal);





$pdf->MultiCell(0,3,$_88,0,'L');
$elmasgrande = max(sizeof($matriz2),sizeof($matriz3));

for($i=0;$i<$elmasgrande;$i++)
{
	unset($temp1);
	$temp1 = explode("|",$matriz2[$i]);
	
	$pdf->SetX(155.9);		
	$pdf->Cell(35,3,$temp1[0],0,0,'R');
	$pdf->Cell(15,3,$temp1[1],0,0,'R');
	unset($temp1);
	$temp1 = explode("|",$matriz3[$i]);
	$pdf->Cell(47,3,$temp1[0],0,0,'R');
	$pdf->Cell(15,3,$temp1[1],0,1,'R');

}

$pdf->SetX(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4]+$w[5]+$w[6]+$w[7]);

$pdf->SetFont('','B');
$pdf->Cell($w[8]+$w[9],4,"IMPORTE TOTAL",0,0,'R');
$pdf->Cell($w[10],4,$_86,0,0,'R');
$pdf->Cell($w[11],4,$_87,0,0,'R');
$pdf->Cell($w[12]+$w[13]+$w[14],4,$_42,0,1,'R');


$pdf->Cell(100,4,"$_26",0,0,'L');
$pdf->Cell(0,4,"$_42B",0,1,'R');
$pdf->SetFont('');



?>